cURL
curl "https://rxresu.me/api/openapi/agent/threads/<id>" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/agent/threads/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/agent/threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/agent/threads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/agent/threads/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/agent/threads/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/agent/threads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"thread": {
"id": "<string>",
"title": "<string>",
"status": "<string>",
"scope": "document",
"applicationId": "<string>",
"sourceResumeId": "<string>",
"workingResumeId": "<string>",
"coverLetterId": "<string>",
"aiProviderId": "<string>",
"resumeName": "<string>",
"coverLetterName": "<string>",
"providerLabel": "<string>",
"editsProposed": 123,
"editsAccepted": 123,
"activeRunId": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"messages": [
{
"id": "<string>",
"role": "system",
"parts": [
{
"type": "<string>"
}
],
"metadata": "<unknown>"
}
],
"attachments": [
{
"id": "<string>",
"threadId": "<string>",
"messageId": "<string>",
"filename": "<string>",
"mediaType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"storagePath": "<string>"
}
],
"document": {
"kind": "resume",
"id": "<string>",
"name": "<string>",
"locked": true
},
"isReadOnly": true
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Agent
Get agent thread
GET
/
agent
/
threads
/
{id}
cURL
curl "https://rxresu.me/api/openapi/agent/threads/<id>" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/agent/threads/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/agent/threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/agent/threads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/agent/threads/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/agent/threads/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/agent/threads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"thread": {
"id": "<string>",
"title": "<string>",
"status": "<string>",
"scope": "document",
"applicationId": "<string>",
"sourceResumeId": "<string>",
"workingResumeId": "<string>",
"coverLetterId": "<string>",
"aiProviderId": "<string>",
"resumeName": "<string>",
"coverLetterName": "<string>",
"providerLabel": "<string>",
"editsProposed": 123,
"editsAccepted": 123,
"activeRunId": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"messages": [
{
"id": "<string>",
"role": "system",
"parts": [
{
"type": "<string>"
}
],
"metadata": "<unknown>"
}
],
"attachments": [
{
"id": "<string>",
"threadId": "<string>",
"messageId": "<string>",
"filename": "<string>",
"mediaType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"storagePath": "<string>"
}
],
"document": {
"kind": "resume",
"id": "<string>",
"name": "<string>",
"locked": true
},
"isReadOnly": true
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Path Parameters
Was this page helpful?